Unable to send an IM to someone not on your buddy list

RESOLVED WONTFIX

Status

RESOLVED WONTFIX
5 years ago
2 days ago

People

(Reporter: clokep, Unassigned)

Tracking

Details

Attachments

(2 attachments, 1 obsolete attachment)

(Reporter)

Description

5 years ago
*** Original post on bio 630 at 2010-12-15 16:56:00 UTC ***

Currently we're not able to send an IM to someone not on your buddy list. I'm not sure if this should be a dialog, like the Join Chat dialog, or perhaps the idea floating around of being able to open a new "empty" tab, that has options in it (new IM, join chat, etc.)
(Reporter)

Comment 1

5 years ago
Created attachment 8352173 [details]
Mockup v1

*** Original post on bio 630 as attmnt 430 at 2010-12-17 00:36:00 UTC ***

Here's a mock up of the idea I had, it needs a little work and I'm not sure if we'd have to separate the IM/Chat UI, but it could be made pretty with tabs or a deck or something.

Pretty much you'd click the "+" button at the end of your row of tabs (like how you open a new tab in Firefox) and be greeted with this window, which would let you start a new conversation w/ a buddy or join a chat room (so this would replace the join chat dialog).
*** Original post on bio 630 at 2010-12-17 00:57:38 UTC ***

I don't think it's exactly in the scope of this bug; posting anyways: "What about this: you click the plus-tab, it extends to full width, showing a dropdown box with autocomplete suggestions right under your mouse pointer. These suggestions are based on most frequent conversations and buddies, online status of buddies, .. There would be a button to open a dialog where you can all cases not covered by this approach"

Comment 3

5 years ago
*** Original post on bio 630 by Paul [sabret00the] <sabret00the AT yahoo.co.uk> at 2011-02-19 12:56:26 UTC ***

I like that mockup a lot. But it's really geared towards IRC users and would be quite overwhelming for most regular instant messenger users.

The first question we need to ask is where would we like this displayed? There are three options.

* We could display it in the Conversation window
- - To me the most logical decision and most workable. However it does restrict size.

* We could display it as an independent window
- - This is what most other clients do. However we do want to cut down on the number of windows that IB creates.

* We could display it in the Buddy List
- - Another attractive decision, but as per research suggests, power users often cut the width of their window down to minimum and thus that'd restrict what we can make use of.

Assuming we went with the first option. I'd suggest that by default we geared the interface towards IM and should a user type "irc://", "irc." or "#[A-Z0-9]^3" with the protocol changing to IRC upon recognition and thus showing the other IRC options.

In regards to the default state. It needn't be more than a box for name of the person you want to converse with, a drop down for protocol and a third drop down for account.
(Reporter)

Comment 4

5 years ago
*** Original post on bio 630 at 2011-02-19 14:29:36 UTC ***

(In reply to comment #3)
> I like that mockup a lot. But it's really geared towards IRC users and would be
> quite overwhelming for most regular instant messenger users.
That's because that example is showing what pops up when you select an IRC account. :P If you selected an AIM account it would just have screenname and an "Add to buddy list" checkbox. (Although note that that mockup also combines the join chat dialog into this screen.)

> * We could display it in the Conversation window
> - - To me the most logical decision and most workable. However it does restrict
> size.
I really think this is the only place that makes sense.

> Assuming we went with the first option. I'd suggest that by default we geared
> the interface towards IM and should a user type "irc://", "irc." or
> "#[A-Z0-9]^3" with the protocol changing to IRC upon recognition and thus
> showing the other IRC options.
Why would this be necessary when there is an account drop down?

> In regards to the default state. It needn't be more than a box for name of the
> person you want to converse with, a drop down for protocol and a third drop
> down for account.

Comment 5

5 years ago
*** Original post on bio 630 by Paul [sabret00the] <sabret00the AT yahoo.co.uk> at 2011-02-19 14:42:07 UTC ***

> Why would this be necessary when there is an account drop down?
Do you mean we should just have an account drop down rather than a protocol drop down and an account drop-down? Is so then yes you're right, I was overcomplicating things my apology. But in that regard, we'd need to pick up the slack with the code. I'm hoping we can at least partially follow the logic applied by Pidgin where by you crate the new chat dialog and a user can start typing in the name of the contact instantly.
(Reporter)

Comment 6

5 years ago
*** Original post on bio 630 at 2011-02-19 15:02:23 UTC ***

(In reply to comment #5)
> > Why would this be necessary when there is an account drop down?
> Do you mean we should just have an account drop down rather than a protocol
> drop down and an account drop-down?
Yup, most people don't have tons of accounts in each protocol, so it makes sense to just go right to picking the account.

> I'm hoping we can at least partially follow the logic
> applied by Pidgin where by you crate the new chat dialog and a user can start
> typing in the name of the contact instantly.
That's fine, but what account would it choose if they start typing?

Comment 7

5 years ago
*** Original post on bio 630 by Paul [sabret00the] <sabret00the AT yahoo.co.uk> at 2011-02-19 15:13:19 UTC ***

(In reply to comment #6)
> > I'm hoping we can at least partially follow the logic
> > applied by Pidgin where by you crate the new chat dialog and a user can start
> > typing in the name of the contact instantly.
> That's fine, but what account would it choose if they start typing?

If I type "John" then it should check all accounts that feature contacts with screen names/usernames that have John in them and remove the rest. At that point by default it should display the accounts in alphabetical order. However at times goes on IB should start weighting the accounts against search/conversation stats.
(Reporter)

Comment 8

5 years ago
*** Original post on bio 630 at 2011-02-19 16:01:37 UTC ***

(In reply to comment #7)
> (In reply to comment #6)
> > > I'm hoping we can at least partially follow the logic
> > > applied by Pidgin where by you crate the new chat dialog and a user can start
> > > typing in the name of the contact instantly.
> > That's fine, but what account would it choose if they start typing?
> 
> If I type "John" then it should check all accounts that feature contacts with
> screen names/usernames that have John in them and remove the rest. At that
> point by default it should display the accounts in alphabetical order. However
> at times goes on IB should start weighting the accounts against
> search/conversation stats.

Ah, you're right. Sorry -- I was thinking of the use case of creating an IM to someone who /isn't/ in your contact list. But I agree, if you start typing a name of someone in your contact list it should be able to auto-complete them/filter them. :)

Comment 9

5 years ago
*** Original post on bio 630 by Paul [sabret00the] <sabret00the AT yahoo.co.uk> at 2011-02-19 16:22:51 UTC ***

(In reply to comment #8)
> (In reply to comment #7)
> Ah, you're right. Sorry -- I was thinking of the use case of creating an IM to
> someone who /isn't/ in your contact list. But I agree, if you start typing a
> name of someone in your contact list it should be able to auto-complete
> them/filter them. :)

My thinking is that as you continue typing, if someone isn't on your contact list, it would restore all accounts that had been filtered out and you could then select which account to contact them from.

Comment 10

5 years ago
Created attachment 8352271 [details]
New Conversation Mockup i01

*** Original post on bio 630 as attmnt 530 by sabret00the AT yahoo.co.uk at 2011-02-21 14:10:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
(Reporter)

Comment 11

5 years ago
*** Original post on bio 630 at 2011-02-21 14:15:31 UTC ***

(In reply to comment #10)
> Created an attachment (id=530) [details]
> New Conversation Mockup i01

Looks really good! The only issue I see is that not all protocols have a unique naming scheme for chats vs. people. I'm not sure we can get around having a radio option between "Chat" and "Buddy" or something.

I like having the advanced options appear below a line when necessary though.
*** Original post on bio 630 at 2011-02-21 14:42:23 UTC ***

Interesting mockup. :)
I'm wondering how we can add a completion that would be useful enough that pressing Ctrl/Command + t and then starting to type the beginning of a contact name would save time compared to focusing the buddy list, searching for the right item and double clicking it.
*** Original post on bio 630 at 2011-02-21 14:43:25 UTC ***

Isn't a button to validate missing somewhere by the way? :)

Comment 14

5 years ago
*** Original post on bio 630 by Paul [sabret00the] <sabret00the AT yahoo.co.uk> at 2011-02-21 15:41:45 UTC ***

(In reply to comment #11)
> Looks really good! The only issue I see is that not all protocols have a unique
> naming scheme for chats vs. people. I'm not sure we can get around having a
> radio option between "Chat" and "Buddy" or something.

It would be a real shame to be forced to put something like that in there. Especially as it complicates the process for non-tech savvy users. But if we have no other choice, we have no choice.

Comment 15

5 years ago
Created attachment 8352273 [details]
New Conversation Mockup i02

*** Original post on bio 630 as attmnt 532 by sabret00the AT yahoo.co.uk at 2011-02-21 15:49:00 UTC ***

Adds the missing buttons.

Comment 16

5 years ago
Comment on attachment 8352271 [details]
New Conversation Mockup i01

*** Original change on bio 630 attmnt 530 by sabret00the AT yahoo.co.uk at 2011-02-21 15:49:14 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352271 - Attachment is obsolete: true
(Reporter)

Comment 17

5 years ago
*** Original post on bio 630 at 2011-02-21 16:40:43 UTC ***

(In reply to comment #14)
> (In reply to comment #11)
> > Looks really good! The only issue I see is that not all protocols have a unique
> > naming scheme for chats vs. people. I'm not sure we can get around having a
> > radio option between "Chat" and "Buddy" or something.
> It would be a real shame to be forced to put something like that in there.
> Especially as it complicates the process for non-tech savvy users. But if we
> have no other choice, we have no choice.
I don't really think asking someone to choose between a "Multi-user chat" and a chat with a single buddy complicates the process too much, it would default to a single buddy. They would either be asking at this point or in the menu when they have to choose between "Join Chat..." and "Start a new IM" or whatever this menu item would be called.
On the behalf of Florian:
Closing bugs related to the Instantbird UI as WONTFIX, as the development of the standalone chat client Instantbird has stopped. Instantbird users are encouraged to migrate to Thunderbird. The user interface of instant messaging in Thunderbird will feel familiar, as the Thunderbird IM support started as a fork of Instantbird.
Status: NEW → RESOLVED
Last Resolved: 2 days ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.